Subject: [rohc] Query about Returned Feedback

From: Chan Kwang Mien <[email-masked]>
Date: Fri, 07 Feb 2003 15:38:02 +0800

hi,

According to SigComp user guide, my interpretation is that the receiving 
endpoint returns the acked_state_id
in the "returned feedback item" field of SigComp message. However, when 
referring to RFC 3321, section
6.1, Figure 5 shows that the acked_state_id is in the "Remaining SigComp 
message" field.

Does it mean that acked_state_id can exist in either location in a SigComp 
message ?

regards,
Kwang Mien

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Price, Richard" <[email-masked]>
Date: Fri, 7 Feb 2003 10:12:53 -0000

> hi,
> 
> According to SigComp user guide, my interpretation is that 
> the receiving endpoint returns the acked_state_id
> in the "returned feedback item" field of SigComp message. 
> However, when referring to RFC 3321, section
> 6.1, Figure 5 shows that the acked_state_id is in the 
> "Remaining SigComp message" field.
> 
> Does it mean that acked_state_id can exist in either location 
> in a SigComp message ?

Hi Kwang Mien,

That's exactly right - the acked_state_id can be carried either
in the "returned feedback item", or in the main body of the
SigComp message. Where the acked_state_id goes is chosen by the
bytecode that is uploaded to the UDVM.

The SigComp User Guide contains bytecode to implement both
cases (see Section 6.1 and Section 6.5 for more details).

Regards,

Richard

---

From: Chan Kwang Mien <[email-masked]>
Date: Mon, 10 Feb 2003 11:28:05 +0800

hi Richard,

Can the shared_state_id also be included in the "returned feedback item" 
field ?
for e.g  A sends a compressed message to B. B decompresses and saves the state.
In the next SigComp message to B, A includes the shared_state_id of the 
previous message
in the "returned feedback item" field.

i have the impression that the "returned feedback item" field should only 
contain items requested by the
other remote host. is that true ?

regards,
Kwang Mien

---

From: "Price, Richard" <[email-masked]>
Date: Mon, 10 Feb 2003 17:30:19 -0000

Hi Kwang Mien,

The "returned feedback item" field sent in the direction A -> B is
controlled by the endpoint B. So it will contain the shared_state_id
if and only if endpoint B requests that this should be the case
(by sending the appropriate bytecode to endpoint A).

Endpoint A must do exactly what B tells it, so it MUST NOT include
the shared_state_id unless B asks it to.

Regards,

Richard

> -----Original Message-----
> From: Chan Kwang Mien [mailto:[email-masked]]
> Sent: Monday, February 10, 2003 3:28 AM
> To: Price, Richard; [email-masked]
> Subject: RE: [rohc] Query about Returned Feedback
> 
> 
> 
> hi Richard,
> 
> field ? for e.g  A sends a compressed message to B. B decompresses 
> and saves the state. In the next SigComp message to B, A includes the 
> shared_state_id of the previous message in the "returned feedback item"
> field.
> 
> contain items requested by the other remote host. is that true ?
> 
> regards,
> Kwang Mien